View Issue Details

IDProjectCategoryView StatusLast Update
0001780SOGoWeb Calendarpublic2012-04-30 09:09
Reporterdab1818 Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.14 
Fixed in Version1.3.15 
Summary0001780: "Compose E-Mail to ... Attendees" in Event send mail only to first attendee
Description
  1. create event
  2. invite attendees (more then one)
  3. from "Attendees" popup-menu select "Compose E-Mail to ... Attendees"
  4. fill message
  5. send message

message send on to first attendee (email address).

Additional Information

file: generic.js
function: openMailTo
sanitizedAddresses incorrectly serialized to JSON

patch attached

TagsNo tags attached.

Activities

2012-04-26 07:07

 

generic.js-openMailTo-JSON.patch (779 bytes)   
--- UI/WebServerResources/generic.js.orig	2012-03-23 19:26:57.000000000 +0400
+++ UI/WebServerResources/generic.js	2012-04-26 14:42:48.000000000 +0400
@@ -275,11 +275,9 @@
             sanitizedAddresses.push(sanitizedAddress);
     }
 
-    var mailto = sanitizedAddresses.join(",");
-
-    if (mailto.length > 0)
+    if (sanitizedAddresses.length > 0)
         openMailComposeWindow(ApplicationBaseURL
-                              + "../Mail/compose?mailto=" + encodeURIComponent(Object.toJSON([mailto]))
+                              + "../Mail/compose?mailto=" + encodeURIComponent(Object.toJSON(sanitizedAddresses))
                               + ((subject.length > 0)?"?subject=" + encodeURIComponent(subject):""));
 
     return false; /* stop following the link */
francis

francis

2012-04-30 09:09

administrator   ~0003829

Thanks!

Fixed in revision c64050fc650935a4d7620ed869e3e3863b178c1e.

Issue History

Date Modified Username Field Change
2012-04-26 07:07 dab1818 New Issue
2012-04-26 07:07 dab1818 File Added: generic.js-openMailTo-JSON.patch
2012-04-30 09:09 francis Note Added: 0003829
2012-04-30 09:09 francis Status new => resolved
2012-04-30 09:09 francis Fixed in Version => 1.3.15
2012-04-30 09:09 francis Resolution open => fixed
2012-04-30 09:09 francis Assigned To => francis